//+------------------------------------------------------------------+
//|                                                        aslib.mq4 |
//|                               Copyright  2010, A. Robert Strube |
//|                                                  arstrube@gmx.de |
//+------------------------------------------------------------------+

//---- Library properties
#property copyright "Copyright  2010, A. Robert Strube"
#property link      "arstrube@gmx.de"
#property library
#include            "..\include\aslib.mqh"

//+------------------------------------------------------------------+
//| Display equidistant levels in indicator window                   |
//+------------------------------------------------------------------+

#define MAX_LEVELS_POSSIBLE 32

void ASLIB_DisplayLevels (int w, double min, double max, double incr) {
   double level = min;
   while (level+MAX_LEVELS_POSSIBLE*incr < max) incr*=2;
   level = MathFloor(level/incr)*incr;
   for (int i=0; i<MAX_LEVELS_POSSIBLE; i++) {
      SetLevelValue(i,level);
      level+=incr;
      if (level>max) level=0.0;
   }
}

